Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 20050length <= 2048Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/segments"{ "data": [ { "id": "string", "name": "string", "kind": "static", "definition": null, "members": 0, "computed_at": "2019-08-24T14:15:22Z", "stale": true, "live": true, "version": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/segments" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "name": "readers", "kind": "static" }'{ "id": "string", "name": "string", "kind": "static", "definition": null, "members": 0, "computed_at": "2019-08-24T14:15:22Z", "stale": true, "live": true, "version": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/segments/string"{ "id": "string", "name": "string", "kind": "static", "definition": null, "members": 0, "computed_at": "2019-08-24T14:15:22Z", "stale": true, "live": true, "version": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Optional legacy revision. Missing or malformed values follow the existing route parser.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/segments/string" \ -H "Content-Type: application/json" \ -d '{ "name": "readers" }'{ "id": "string", "name": "string", "kind": "static", "definition": null, "members": 0, "computed_at": "2019-08-24T14:15:22Z", "stale": true, "live": true, "version": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/segments/string"Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthQuery Parameters
1 <= value <= 20050length <= 2048Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/segments/string/members"{ "data": [ { "segment_id": "string", "customer_id": "string", "created_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Optional. When sent, the stored response is replayed for 24 h.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/segments/string/members" \ -H "Content-Type: application/json" \ -d '{ "customer_ids": [ "cust_00000000000000000000000000000042" ] }'{ "added": 0, "memberships": [ { "segment_id": "string", "customer_id": "string", "created_at": "2019-08-24T14:15:22Z" } ]}Secret API key bound to an environment.
In: header
Path Parameters
1 <= length1 <= lengthHeader Parameters
Optional. When sent, the stored response is replayed for 24 h.
1 <= length <= 255Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/segments/string/members/string"Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/segments/string/refresh" \ -H "Idempotency-Key: string"{ "id": "string", "name": "string", "kind": "static", "definition": null, "members": 0, "computed_at": "2019-08-24T14:15:22Z", "stale": true, "live": true, "version": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= length1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/segments/string/eligibility/string"{ "segment": "string", "customer_id": "string", "eligible": true, "kind": "static", "operands": null}